#ifdef GL_ES										
precision lowp float;								
#endif												
                                                    
varying vec4 v_fragmentColor;						
varying vec2 v_texCoord;							
uniform sampler2D u_texture;						
uniform vec4 u_shadeColor;

uniform float u_weights[64];
uniform vec2 u_direction;
uniform vec2 u_pixelSize;
uniform int u_blurSize;



void main()											
{													
    float fade = 0.0;
    float alpha = 0.0;
    float v = v_texCoord.y;
    if(v > 0.3){
        fade = 1.0 - clamp((1.0 - v)*3.0, 0.0, 1.0);

        alpha = 1.0 - clamp((1.0 - (v+0.2))*5.0, 0.0, 1.0);
    }
    else{
        fade = 1.0 - clamp((v)*5.5, 0.0, 1.0);
        fade *= 0.7;

        alpha = 1.0 - clamp((v-0.08)*8.0, 0.0, 1.0);
    }

    if(u_direction.x == 1.0){
        alpha = 1.0;
    }

    if(fade == 0.0){
        if(alpha == 0.0){
            gl_FragColor = vec4(0,0,0,0);
        }
        else{
            vec3 color = texture2D(u_texture, v_texCoord).xyz;
            gl_FragColor = vec4(color.x*alpha, color.y*alpha, color.z*alpha, alpha);
        }
    }
    else{
        vec3 color = texture2D(u_texture, v_texCoord).xyz * u_weights[0];

        for(int i=1; i < u_blurSize; i++){
            vec2 offset = vec2(float(i) * u_pixelSize.x * fade * u_direction.x,
                               float(i) * u_pixelSize.y * fade * u_direction.y);
            color += texture2D(u_texture, v_texCoord + offset).xyz * u_weights[ i ];
            color += texture2D(u_texture, v_texCoord - offset).xyz * u_weights[ i ];
        }

        gl_FragColor = vec4(color.x*alpha, color.y*alpha, color.z*alpha, alpha);
    }

}	


